# paymentMethodCreate

Create a payment method

**Scope required:** billing:write

```graphql
mutation paymentMethodCreate ($accountId: ID!, $pluginGuid: ID!, $token: String!) {
  paymentMethodCreate (accountId: $accountId, pluginGuid: $pluginGuid, token: $token) {
      errors
      paymentMethod {
        accountId
        createdAt
        disabled
        expirationDate
        failureCode
        failureReason
        id
        isDefault
        lastSuccess
        pluginId
        updatedAt
      }
  }
}
```

## Arguments

```json
{
  "accountId": "456123",
  "pluginGuid": "456123",
  "token": ""
}
```

| Name       | Type   | Description |
| ---------- | ------ | ----------- |
| accountId  | ID     |             |
| pluginGuid | ID     |             |
| token      | String |             |

## Response

| Name          | Type                                                             | Description |
| ------------- | ---------------------------------------------------------------- | ----------- |
| errors        | List (String)                                                    |             |
| paymentMethod | [PaymentMethod](/developer/api-reference/types/paymentmethod.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/paymentmethodcreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
